Mailinglist Archive: opensuse (4343 mails)

< Previous Next >
Re: [SLE] GTK?
  • From: Thibaut Cousin <cousin@xxxxxxxx>
  • Date: Thu, 7 Nov 2002 15:58:13 +0100
  • Message-id: <200211071558.16689.cousin@xxxxxxxx>
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Le Jeudi 7 Novembre 2002 15:49, James Ogley a écrit :
> > In this case, however, he wants to run one package, that package needs a
> > few libs from GTK2. If nothing else on his sytem requires GTK2 and
> > they're only being installed to support the package he does intend on
> > running, I see nothing wrong with forcing rpm to install those libs
> > without their dependencies.
>
> Can anyone else spot what is wrong with this?
>
> You install GTK-2 without it's dependencies being fulfilled, it is
> liable not to work correctly, and the same goes for the one app he wants
> to use that is GTK-2 based!

Also, be careful that GTK2 doesn't overwrite some parts of GTK1. The
packages from SuSE 8.1 are all right, but they are compiled with gcc3, so I
don't know how good they work on 8.0.

- --
Thibaut Cousin
E-mail : cousin@xxxxxxxx
Web : http://clrwww.in2p3.fr
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.7 (GNU/Linux)

iD8DBQE9yn+Iv1vqsTa1E4oRAuFzAJ4oox9nLDlZihK/TbWxDyO1uJGw0gCgtZFk
A+v8XeGOSW2lSnMGVMPT+qY=
=0GsU
-----END PGP SIGNATURE-----


< Previous Next >